package com.tsf.demo.provider.config.watch;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.consul.config.watch.ConfigChangeCallback;
import org.springframework.cloud.consul.config.watch.ConfigChangeListener;
import org.springframework.cloud.consul.config.watch.ConfigProperty;

// prefix： 配置信息前缀，前缀匹配
// async: 回调事件是否异步执行，默认false
// value： 精确匹配配置项
// 监听前缀为 io 的配置项变更
@ConfigChangeListener(prefix = "io",async = true)
public class SimpleConfigurationListener implements ConfigChangeCallback {

    @Autowired
    private SimpleService simpleService;

    @Override
    public void callback(ConfigProperty lastConfigItem, ConfigProperty currentConfigItem) {
        simpleService.saySomething("receive Consul Config Change Event >>>> ");
        simpleService.saySomething("Last config: [" + currentConfigItem.getKey()  + ":" +lastConfigItem.getValue() + "]");
        simpleService.saySomething("Current config: [" + currentConfigItem.getKey()  + ":" +currentConfigItem.getValue() + "]");
    }
}
